$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-20f1eb865b978b73f49eaae7922e3af311637b3b/rpcs3-v0.0.12-10932-20f1eb86_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'd5359bf432fe36b103a151d59346c19308679cf2cfa303f40746f78d8151fb4a'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
